Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.net.imap
Enum IMAP.IMAPState

    java.lang.Object
      java.lang.Enum<IMAP.IMAPState>
          org.apache.commons.net.imap.IMAP.IMAPState

All Implemented Interfaces:
  Serializable, Comparable<IMAP.IMAPState>

Enclosing class:
  IMAP

    public static enum IMAP.IMAPState

extends Enum<IMAP.IMAPState>

Enum Constant Summary
`AUTH_STATE` A constant representing the "authenticated" state.
`DISCONNECTED_STATE` A constant representing the state where the client is not yet connected to a server.
`LOGOUT_STATE` A constant representing the "logout" state.
`NOT_AUTH_STATE` A constant representing the "not authenticated" state.

Method Summary
`static IMAP.IMAPState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IMAP.IMAPState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCONNECTED_STATE

    public static final IMAP.IMAPState DISCONNECTED_STATE

  A constant representing the state where the client is not yet connected to a server.

### NOT_AUTH_STATE

    public static final IMAP.IMAPState NOT_AUTH_STATE

  A constant representing the "not authenticated" state.

### AUTH_STATE

    public static final IMAP.IMAPState AUTH_STATE

  A constant representing the "authenticated" state.

### LOGOUT_STATE

    public static final IMAP.IMAPState LOGOUT_STATE

  A constant representing the "logout" state.

Method Detail

### values

    public static final IMAP.IMAPState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IMAP.IMAPState c : IMAP.IMAPState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IMAP.IMAPState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.